My Oracle Support Banner

When Trying to Start Primavera Gateway the Error "java.sql.SQLException: ORA-28001: The Password Has Expired" Occurs (Doc ID 2407377.1)

Last updated on JUNE 04, 2018

Applies to:

Primavera Gateway - Version 15.1.0.0 and later
Primavera P6 Enterprise Project Portfolio Management - Version 15.1.0.0 and later
Information in this document applies to any platform.

Symptoms

When attempting to start Primavera Gateway the following error occurs

ERROR
-----------------------
Caused By: java.sql.SQLException: ORA-28001: the password has expired
Caused By: oracle.security.jps.service.policystore.PolicyStoreException: javax.persistence.PersistenceException: Exception [EclipseLink-4002] (Eclipse Persistence Services - 2.5.2.v20140319-9ad6abd): org.eclipse.persistence.exceptions.DatabaseException
Internal Exception: java.sql.SQLException: ORA-28001: the password has expired

Caused By: weblogic.security.SecurityInitializationException: The loading of an OPSS java security policy provider failed due to an exception. See the exception stack trace or the server log file for the root cause. If there is no obvious cause, enable the debug flag -Djava.security.debug=jpspolicy to get more information. Error message: null
Caused By: java.lang.reflect.InvocationTargetException

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.